Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class BaseTest

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.BaseTest

Direct Known Subclasses:
  BatchTest, JUnitTest

public abstract class BaseTest
extends java.lang.Object

Baseclass for BatchTest and JUnitTest.

Author:
  Stefan Bodewig, Stephane Bailliez

Field Summary
`protected java.io.File` | `destDir` destination directory
`protected boolean` | `fork`
`protected java.util.Vector` | `formatters`
`protected boolean` | `haltOnError`
`protected boolean` | `haltOnFail`
`protected java.lang.String` | `ifProperty`
`protected java.lang.String` | `unlessProperty`

Constructor Summary
`BaseTest()`

Method Summary
`void` | `addFormatter(FormatterElement elem)`
`boolean` | `getFork()`
`boolean` | `getHaltonerror()`
`boolean` | `getHaltonfailure()`
`java.lang.String` | `getTodir()`
`void` | `setFork(boolean value)`
`void` | `setHaltonerror(boolean value)`
`void` | `setHaltonfailure(boolean value)`
`void` | `setIf(java.lang.String propertyName)`
`void` | `setTodir(java.io.File destDir)` Sets the destination directory.
`void` | `setUnless(java.lang.String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### haltOnError

    protected boolean haltOnError

### haltOnFail

    protected boolean haltOnFail

### fork

    protected boolean fork

### ifProperty

    protected java.lang.String ifProperty

### unlessProperty

    protected java.lang.String unlessProperty

### formatters

    protected java.util.Vector formatters

### destDir

    protected java.io.File destDir

  destination directory

Constructor Detail

### BaseTest

    public BaseTest()

Method Detail

### setFork

    public void setFork(boolean value)

### getFork

    public boolean getFork()

### setHaltonerror

    public void setHaltonerror(boolean value)

### setHaltonfailure

    public void setHaltonfailure(boolean value)

### getHaltonerror

    public boolean getHaltonerror()

### getHaltonfailure

    public boolean getHaltonfailure()

### setIf

    public void setIf(java.lang.String propertyName)

### setUnless

    public void setUnless(java.lang.String propertyName)

### addFormatter

    public void addFormatter(FormatterElement elem)

### setTodir

    public void setTodir(java.io.File destDir)

  Sets the destination directory.

### getTodir

    public java.lang.String getTodir()

  Returns:
    the destination directory as an absolute path if it exists otherwise return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.